osl::annotate::AnalysesResult Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Public Member Functions | Public Attributes | List of all members
osl::annotate::AnalysesResult Struct Reference

`#include <analysesResult.h>`

Collaboration diagram for osl::annotate::AnalysesResult:
[legend]

## Classes
struct | CheckmateForCapture
struct | CheckmateForEscape
struct | ThreatmateIfMorePieces
struct | Vision

## Public Member Functions
| AnalysesResult ()

## Public Attributes
vector< int > | repetition
Trivalent | checkmate
Trivalent | checkmate_win
Trivalent | threatmate
Trivalent | escape_from_check
Move | checkmate_move
Move | threatmate_move
double | threatmate_probability
size_t | threatmate_node_count
CheckmateForCapture | checkmate_for_capture
CheckmateForEscape | checkmate_for_escape
ThreatmateIfMorePieces | threatmate_if_more_pieces
Vision | vision

## Detailed Description

Definition at line 16 of file analysesResult.h.

## Constructor & Destructor Documentation

osl::annotate::AnalysesResult::AnalysesResult | ( | ) |  |
| inline

Definition at line 70 of file analysesResult.h.

## Member Data Documentation

Trivalent osl::annotate::AnalysesResult::checkmate

Definition at line 61 of file analysesResult.h.

Referenced by osl::annotate::analyze(), osl::annotate::CheckmateAnalyzer::match(), osl::annotate::Vision3::match(), osl::annotate::operator<<(), and osl::annotate::operator==().

CheckmateForCapture osl::annotate::AnalysesResult::checkmate_for_capture

Definition at line 65 of file analysesResult.h.

Referenced by osl::annotate::CheckmateForCapture::match(), and osl::annotate::operator==().

CheckmateForEscape osl::annotate::AnalysesResult::checkmate_for_escape

Definition at line 66 of file analysesResult.h.

Referenced by osl::annotate::CheckmateForEscape::match(), and osl::annotate::operator==().

Move osl::annotate::AnalysesResult::checkmate_move

Definition at line 62 of file analysesResult.h.

Referenced by osl::annotate::CheckmateWin::match().

Trivalent osl::annotate::AnalysesResult::checkmate_win

Definition at line 61 of file analysesResult.h.

Referenced by osl::annotate::CheckmateWin::match(), osl::annotate::Vision3::match(), and osl::annotate::operator==().

Trivalent osl::annotate::AnalysesResult::escape_from_check

Definition at line 61 of file analysesResult.h.

Referenced by osl::annotate::EscapeFromCheck::match(), osl::annotate::CheckmateForCapture::match(), osl::annotate::Vision3::match(), osl::annotate::operator<<(), and osl::annotate::operator==().

vector<int> osl::annotate::AnalysesResult::repetition

Definition at line 60 of file analysesResult.h.

Referenced by osl::annotate::RepetitionAnalyzer::match(), osl::annotate::operator<<(), and osl::annotate::operator==().

Trivalent osl::annotate::AnalysesResult::threatmate

Definition at line 61 of file analysesResult.h.

Referenced by osl::annotate::ThreatmateAnalyzer::match(), osl::annotate::ThreatmateIfMorePieces::match(), osl::annotate::Vision3::match(), osl::annotate::operator<<(), and osl::annotate::operator==().

ThreatmateIfMorePieces osl::annotate::AnalysesResult::threatmate_if_more_pieces

Definition at line 67 of file analysesResult.h.

Referenced by osl::annotate::ThreatmateIfMorePieces::match(), osl::annotate::operator<<(), and osl::annotate::operator==().

Move osl::annotate::AnalysesResult::threatmate_move

Definition at line 62 of file analysesResult.h.

Referenced by osl::annotate::ThreatmateAnalyzer::match().

size_t osl::annotate::AnalysesResult::threatmate_node_count

Definition at line 64 of file analysesResult.h.

Referenced by osl::annotate::ThreatmateAnalyzer::match(), and osl::annotate::operator==().

double osl::annotate::AnalysesResult::threatmate_probability

Definition at line 63 of file analysesResult.h.

Referenced by osl::annotate::ThreatmateAnalyzer::match(), and osl::annotate::operator==().

Vision osl::annotate::AnalysesResult::vision

Definition at line 68 of file analysesResult.h.

Referenced by osl::annotate::Vision3::match().

The documentation for this struct was generated from the following file:

- analysesResult.h